


<form>
  
<mat-form-field  fxFlex="10" >
  <mat-select placeholder="Sport List" [(ngModel)]="selectedValue"  name="a"  (selectionChange)="onChange($event.value)">
    <mat-option *ngFor="let d of data" [value]="d.id">
      {{d.sport}}
    </mat-option>
  </mat-select>
</mat-form-field>

  <mat-form-field>

    <mat-select   [(ngModel)]="selectedValue"  name="b" >
       <mat-option *ngFor="let d of personName"  name="slectlist"    [(value)] = "d.id">
        {{d.Name}}    
      </mat-option>
    </mat-select>
  
  </mat-form-field>


</form>






<table mat-table [dataSource]="dataSource"   class="mat-elevation-z8">

  <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef> id </th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="Name">
    <th mat-header-cell *matHeaderCellDef> Name </th>
    <td mat-cell *matCellDef="let element"> {{element.Name}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="sport">
    <th mat-header-cell *matHeaderCellDef> sport </th>
    <td mat-cell *matCellDef="let element"> {{element.sport}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="Dob">
    <th mat-header-cell *matHeaderCellDef> Dob </th>
    <td mat-cell *matCellDef="let element"> {{element.Dob}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
































<!-- <form>
    <mat-form-field>
      <mat-select placeholder="Favorite food" [(ngModel)]="selectedValue" name="food">
        <mat-option *ngFor="let food of foods" [value]="food.value">
          {{food.viewValue}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  
  
    <mat-form-field>
        <mat-select placeholder="Favorite food" [(ngModel)]="selectedValue" name="food">
          <mat-option *ngFor="let food of foods" [value]="food.value">
            {{selectedValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    
    <p> Selected value: {{selectedValue}} </p>
  </form>
 -->


  
  

    


